Sintomas

Quando utilizar o BizTalk Server Accelerator para SWIFT - mensagem Pack 2015 para processar uma mensagem FIN válida do tipo MT 569, ocorre um erro de análise e a transformação falha. Este erro ocorre quando o campo 22F da subsequence obrigatória C1a Especifica um valor de qualificador de AUTA.

Causa

Este problema ocorre devido a um problema no ficheiro de esquema para 569 MT onde este não permite o qualificador AUTA para o campo específico em questão.

Resolução

Informações de actualização cumulativa

Este problema foi corrigido pela primeira vez em 1 de actualização cumulativa para o acelerador de BizTalk para Pack de mensagem de SWIFT 2015.

Foram efectuadas as seguintes alterações de distintas, relacionadas para resolver o problema:

  • O ficheiro de esquema MT569.xsd foi corrigido para permitir que o campo 22F da subsequence C1a para especificar um valor de qualificador de AUTA.

  • As regras de política de validação que são definidas no ficheiro MT569_Validation_Policy.xml foram actualizadas para aplicar a validação adequada quando o valor de qualificador de AUTA é especificado. Consulte o manual de utilizador de SWIFT está disponível a partir da organização de SWIFT para obter mais detalhes sobre esta validação.


Mais informações

Informações de ficheiro

A tabela seguinte lista os ficheiros actualizados para corrigir este problema, que estão incluídos no cumulativo de actualizações 1 para mensagem Pack 2015.

Nome do ficheiro

Caminho de instalação

MT569.xsd

[MP2015 instalar Dir] \SWIFT Messages\A4SWIFT-SRG2015\Category 5\MT569\

MT569_Validation_Policy.xml

[MP2015 instalar Dir] \SWIFT Messages\A4SWIFT-SRG2015\Category 5\MT569\

Notas

  • A predefinição [Dir Instalação MP2015] está localizada em: \MP2015\ C:\Program Files (x86).

  • Cada ficheiro que está listado na tabela passa a ter com a versão do ficheiro que está incluída no cumulativo de actualizações 1 para mensagem Pack 2015. Consulte o artigo KB 3124428 para obter informações sobre como obter esta actualização.

  • Depois de substituir estes ficheiros, tem de actualizar, reconstruir e implementar todas as aplicações BizTalk que tenham dependências nestes ficheiros.


Estado

A Microsoft confirmou que este é um problema no BizTalk Server Accelerator para SWIFT - mensagem Pack 2015.

Referências

Para obter informações sobre os service packs e a lista de actualização cumulativa para o BizTalk Server, consulte KB 2555976: Service pack e lista de actualização cumulativa para o BizTalk Server.

Para mais informações sobre correcções do BizTalk Server, consulte KB 2003907: informações sobre correcções do BizTalk e suporte do Service Pack.

Precisa de mais ajuda?

Aumente os seus conhecimentos
Explore as formações
Seja o primeiro a obter novas funcionalidades
Aderir ao Microsoft insiders

As informações foram úteis?

Quão satisfeito está com a qualidade da tradução?
O que afetou a sua experiência?

Obrigado pelos seus comentários!

×